{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post">
    {$jtl_token}
    <input type="hidden" name="kPlugin" value="{$oPlugin->getID()}"/>
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        {if !empty($uploadDirError)}
            <div class="alert alert-danger"><p>{$uploadDirError}</p></div>
        {/if}

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                {*
                                <Option {if $pluginConfig->pluginActive=='A'} selected {/if} value="A">{__('nur für Admin sichtbar')}</Option>
                *}
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <!-- ab hier kommen die individuellen Einstellungen -->
    </fieldset>


    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Template Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
                {if isset($bHasCustom)}
                    <Option {if $pluginConfig->framework=='custom'} selected {/if} value="custom">{__('Custom (Ihre eigene updatesichere Pluginmodifikation)')}</Option>
                {/if}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="panel-heading">
            <h3 class="panel-title">{__('Anzeige des Buttons für den Formularlink')}</h3>
            <div class="alert alert-info">
                <p>
                    {__('Sie haben hier die Möglichkeit Selektoren einzutragen, die als Ziel dienen um automatisiert einen Link zum Upload Formular einzufügen. Sie können diesen Link aber auch manuell in Ihrem Template oder in Ihren Inhaltsseiten einfügen. Auch ein verschieben der eigenen Seite (Upload-Formular) in eine andere Linkgruppe ist möglich.')}
                </p>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selektor für die Anzeige in der Artikel Detailseite')}</span>
            </div>
            <input type="text" name="buttonSelector" class="form-control" value="{$pluginConfig->buttonSelector}" placeholder="{__('#product-actions (oder ähnliches)')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="buttonPosition" name="buttonPosition" class="form-control">
                <Option {if $pluginConfig->buttonPosition=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->buttonPosition=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->buttonPosition=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->buttonPosition=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->buttonPosition=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->buttonPosition=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Formular Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Position der Uploadfelder')}</span>
            </div>
            <select name="uploadPosition" id="uploadPosition" class="form-control">
                <option {if $pluginConfig->uploadPosition == 'B'} selected="selected" {/if} value="B">Vor den Eingabefeldern</option>
                <option {if $pluginConfig->uploadPosition == 'A'} selected="selected" {/if} value="A">Nach den Eingabefeldern</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, wo die Upload Felder positioniert sein sollen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Dateibezeichnung ist erforderlich')}</span>
            </div>
            <select name="needFileSubject" id="needFileSubject" class="form-control">
                <option {if $pluginConfig->needFileSubject == 'Y'} selected="selected" {/if} value="Y">{__('Ja')}</option>
                <option {if $pluginConfig->needFileSubject == 'N'} selected="selected" {/if} value="N">{__('Nein')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Je nach Einstellung wird der User aufgefordert eine Bezeichnung für die Datei, einzugeben bevor er diese auswählen kann.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Der Dateiupload ist ')}</span>
            </div>
            <select name="needFileUpload" id="needFileUpload" class="form-control">
                <option {if $pluginConfig->needFileUpload == 'P'} selected="selected" {/if} value="P">{__('Pflicht')}</option>
                <option {if $pluginConfig->needFileUpload == 'O'} selected="selected" {/if} value="O">{__('Optional')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Upload ist erforderlich oder Optional.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Anzahl der möglichen Uploads')}</span>
            </div>
            <input type="text" name="maxUploads" class="form-control" value="{$pluginConfig->maxUploads}" placeholder="{__('0')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die maximale Anzahl der Uploads an.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Maximale Dateigröße je Upload in MB')}</span>
            </div>
            <input type="text" name="maxBytes" class="form-control" value="{$pluginConfig->maxBytes}" placeholder="{__('0')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die maximale Dateigröße je Upload in Megabyte an.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Erlaubte Dateiendungen (Komma getrennt)')}</span>
            </div>
            <input type="text" name="uploadTypes" class="form-control" value="{$pluginConfig->uploadTypes}" placeholder="{__('txt,pdf,xls,xlsx,jpeg,jpg,gif,png')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die erlaubten Dateiendungen an.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Empfänger E-Mail')}</span>
            </div>
            <input type="text" name="adminMail" class="form-control" value="{$pluginConfig->adminMail}" placeholder="{__('admin@shop.de')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die Empfänger E-Mail ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="panel-heading">
            <h3 class="panel-title">Input Felder</h3>
            <div class="alert alert-info">
                <p>
                    {__('Sie können hier wahlweise jedes der Felder mit den Daten eines angemeldeten Kunden vorbelegen.')}
                </p>
            </div>
        </div>



        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Anrede')}</span>
            </div>
            <select name="cAnrede"  class="form-control">
                <option {if $pluginConfig->cAnrede == 'N'} selected="selected" {/if} value="N">{__('Nicht abfragen')}</option>
                <option {if $pluginConfig->cAnrede == 'P'} selected="selected" {/if} value="P">{__('Pflichtfeld')}</option>
                <option {if $pluginConfig->cAnrede == 'O'} selected="selected" {/if} value="O">{__('Optional')}</option>
            </select>
			<select name="cAnredeField" id="cAnredeField" class="form-control">
					<option value="N">Automatisch ausfüllen mit:</option> 
					<option {if $pluginConfig->cAnredeField == 'cAnrede'} selected="selected" {/if} value="cAnrede">Anrede</option>
			</select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, ob und wie dieses Feld eingebunden werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Name')}</span>
            </div>
            <select name="cName" id="cName" class="form-control">
                <option {if $pluginConfig->cName == 'N'} selected="selected" {/if} value="N">{__('Nicht abfragen')}</option>
                <option {if $pluginConfig->cName == 'P'} selected="selected" {/if} value="P">{__('Pflichtfeld')}</option>
                <option {if $pluginConfig->cName == 'O'} selected="selected" {/if} value="O">{__('Optional')}</option>
            </select>
            <select name="cNameField" id="cNameField" class="form-control">
                <option value="N">Automatisch ausfüllen mit:</option>
                <option {if $pluginConfig->cNameField == 'cVorname'} selected="selected" {/if} value="cVorname">Vorname</option>
                <option {if $pluginConfig->cNameField == 'cNachname'} selected="selected" {/if} value="cNachname">Nachname</option>
                <option {if $pluginConfig->cNameField == 'cVorname_cNachname'} selected="selected" {/if} value="cVorname_cNachname">Vorname / Nachname</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, ob und wie dieses Feld eingebunden werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('E-Mail')}</span>
            </div>
            <select name="cEmail" id="cEmail" class="form-control">
                <option {if $pluginConfig->cEmail == 'N'} selected="selected" {/if} value="N">{__('Nicht abfragen')}</option>
                <option {if $pluginConfig->cEmail == 'P'} selected="selected" {/if} value="P">{__('Pflichtfeld')}</option>
                <option {if $pluginConfig->cEmail == 'O'} selected="selected" {/if} value="O">{__('Optional')}</option>
            </select>
            <select name="cEmailField" id="cEmailField" class="form-control">
                <option value="N">Automatisch ausfüllen mit:</option>
                <option {if $pluginConfig->cEmailField == 'cMail'} selected="selected" {/if} value="cMail">E-Mail</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, ob und wie dieses Feld eingebunden werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Zusätzliche Informationen')}</span>
            </div>
            <select name="cInformation" id="cInformation" class="form-control">
                <option {if $pluginConfig->cInformation == 'N'} selected="selected" {/if} value="N">{__('Nicht abfragen')}</option>
                <option {if $pluginConfig->cInformation == 'P'} selected="selected" {/if} value="P">{__('Pflichtfeld')}</option>
                <option {if $pluginConfig->cInformation == 'O'} selected="selected" {/if} value="O">{__('Optional')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, ob und wie dieses Feld eingebunden werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('DSGVO Hinweis anzeigen')}</span>
            </div>
            <select name="DSGVO" id="DSGVO" class="form-control">
                <option {if $pluginConfig->DSGVO == 'Y'} selected="selected" {/if} value="Y">{__('Anzeigen')}</option>
                <option {if $pluginConfig->DSGVO == 'N'} selected="selected" {/if} value="N">{__('Nicht Anzeigen')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an ob dieser Hinweis angezeigt werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Captcha verwenden')}</span>
            </div>
            <select name="useCaptcha" id="useCaptcha" class="form-control">
                <option {if $pluginConfig->useCaptcha == 'Y'} selected="selected" {/if} value="Y">{__('Ja')}</option>
                <option {if $pluginConfig->useCaptcha == 'N'} selected="selected" {/if} value="N">{__('Nein')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Aktivieren Sie das Shop interne Captcha (keine Anzeige).')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="panel-heading">
            <h3 class="panel-title">Input Felder</h3>
            <div class="alert alert-info">
                <p>{__('Diese Felder können Sie über die Sprachverwaltung individuell beschriften, wenn Sie diese zusätzlich verwenden möchten.')}</p>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{$cssSprache['cTextfeld1']}</span>
            </div>
            <select name="cTextfeld1" id="cTextfeld1" class="form-control">
                <option {if $pluginConfig->cTextfeld1 == 'N'} selected="selected" {/if} value="N">{__('Nicht abfragen')}</option>
                <option {if $pluginConfig->cTextfeld1 == 'P'} selected="selected" {/if} value="P">{__('Pflichtfeld')}</option>
                <option {if $pluginConfig->cTextfeld1 == 'O'} selected="selected" {/if} value="O">{__('Optional')}</option>
            </select>
            <select name="cTextfeld1Field" id="cTextfeld1Field" class="form-control">
                <option value="N">{__('Automatisch ausfüllen mit:')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cVorname'} selected="selected" {/if} value="cVorname">{__('Vorname')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cNachname'} selected="selected" {/if} value="cNachname">{__('Nachname')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cVorname_cNachname'} selected="selected" {/if} value="cVorname_cNachname">{__('Vorname / Nachname')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cFirma'} selected="selected" {/if} value="cFirma">{__('Firma')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cTel'} selected="selected" {/if} value="cTel">{__('Telefon')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cStrasse'} selected="selected" {/if} value="cStrasse">{__('Straße')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cHausnummer'} selected="selected" {/if} value="cHausnummer">{__('Hausnummer')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cStrasse_cHausnummer'} selected="selected" {/if} value="cStrasse_cHausnummer">{__('Straße / Hausnummer')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cPLZ'} selected="selected" {/if} value="cPLZ">{__('PLZ')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cOrt'} selected="selected" {/if} value="cOrt">{__('Ort')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cPLZ_cOrt'} selected="selected" {/if} value="cPLZ_cOrt">{__('PLZ / Ort')}</option>
                <option {if $pluginConfig->cTextfeld1Field == 'cLand'} selected="selected" {/if} value="cLand">{__('Land')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, ob und wie dieses Feld eingebunden werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{$cssSprache['cTextfeld2']}</span>
            </div>
            <select name="cTextfeld2" id="cTextfeld2" class="form-control">
                <option {if $pluginConfig->cTextfeld2 == 'N'} selected="selected" {/if} value="N">{__('Nicht abfragen')}</option>
                <option {if $pluginConfig->cTextfeld2 == 'P'} selected="selected" {/if} value="P">{__('Pflichtfeld')}</option>
                <option {if $pluginConfig->cTextfeld2 == 'O'} selected="selected" {/if} value="O">{__('Optional')}</option>
            </select>
            <select name="cTextfeld2Field" id="cTextfeld2Field" class="form-control">
                <option value="N">{__('Automatisch ausfüllen mit:')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cVorname'} selected="selected" {/if} value="cVorname">{__('Vorname')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cNachname'} selected="selected" {/if} value="cNachname">{__('Nachname')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cVorname_cNachname'} selected="selected" {/if} value="cVorname_cNachname">{__('Vorname / Nachname')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cFirma'} selected="selected" {/if} value="cFirma">{__('Firma')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cTel'} selected="selected" {/if} value="cTel">{__('Telefon')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cStrasse'} selected="selected" {/if} value="cStrasse">{__('Straße')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cHausnummer'} selected="selected" {/if} value="cHausnummer">{__('Hausnummer')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cStrasse_cHausnummer'} selected="selected" {/if} value="cStrasse_cHausnummer">{__('Straße / Hausnummer')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cPLZ'} selected="selected" {/if} value="cPLZ">{__('PLZ')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cOrt'} selected="selected" {/if} value="cOrt">{__('Ort')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cPLZ_cOrt'} selected="selected" {/if} value="cPLZ_cOrt">{__('PLZ / Ort')}</option>
                <option {if $pluginConfig->cTextfeld2Field == 'cLand'} selected="selected" {/if} value="cLand">{__('Land')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, ob und wie dieses Feld eingebunden werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{$cssSprache['cTextfeld3']}</span>
            </div>
            <select name="cTextfeld3" id="cTextfeld3" class="form-control">
                <option {if $pluginConfig->cTextfeld3 == 'N'} selected="selected" {/if} value="N">{__('Nicht abfragen')}</option>
                <option {if $pluginConfig->cTextfeld3 == 'P'} selected="selected" {/if} value="P">{__('Pflichtfeld')}</option>
                <option {if $pluginConfig->cTextfeld3 == 'O'} selected="selected" {/if} value="O">{__('Optional')}</option>
            </select>
            <select name="cTextfeld3Field" id="cTextfeld3Field" class="form-control">
                <option value="N">{__('Automatisch ausfüllen mit:')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cVorname'} selected="selected" {/if} value="cVorname">{__('Vorname')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cNachname'} selected="selected" {/if} value="cNachname">{__('Nachname')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cVorname_cNachname'} selected="selected" {/if} value="cVorname_cNachname">{__('Vorname / Nachname')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cFirma'} selected="selected" {/if} value="cFirma">{__('Firma')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cTel'} selected="selected" {/if} value="cTel">{__('Telefon')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cStrasse'} selected="selected" {/if} value="cStrasse">{__('Straße')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cHausnummer'} selected="selected" {/if} value="cHausnummer">{__('Hausnummer')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cStrasse_cHausnummer'} selected="selected" {/if} value="cStrasse_cHausnummer">{__('Straße / Hausnummer')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cPLZ'} selected="selected" {/if} value="cPLZ">{__('PLZ')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cOrt'} selected="selected" {/if} value="cOrt">{__('Ort')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cPLZ_cOrt'} selected="selected" {/if} value="cPLZ_cOrt">{__('PLZ / Ort')}</option>
                <option {if $pluginConfig->cTextfeld3Field == 'cLand'} selected="selected" {/if} value="cLand">{__('Land')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, ob und wie dieses Feld eingebunden werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{$cssSprache['cTextfeld4']}</span>
            </div>
            <select name="cTextfeld4" id="cTextfeld4" class="form-control">
                <option {if $pluginConfig->cTextfeld4 == 'N'} selected="selected" {/if} value="N">{__('Nicht abfragen')}</option>
                <option {if $pluginConfig->cTextfeld4 == 'P'} selected="selected" {/if} value="P">{__('Pflichtfeld')}</option>
                <option {if $pluginConfig->cTextfeld4 == 'O'} selected="selected" {/if} value="O">{__('Optional')}</option>
            </select>
            <select name="cTextfeld4Field" id="cTextfeld4Field" class="form-control">
                <option value="N">{__('Automatisch ausfüllen mit:')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cVorname'} selected="selected" {/if} value="cVorname">{__('Vorname')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cNachname'} selected="selected" {/if} value="cNachname">{__('Nachname')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cVorname_cNachname'} selected="selected" {/if} value="cVorname_cNachname">{__('Vorname / Nachname')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cFirma'} selected="selected" {/if} value="cFirma">{__('Firma')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cTel'} selected="selected" {/if} value="cTel">{__('Telefon')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cStrasse'} selected="selected" {/if} value="cStrasse">{__('Straße')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cHausnummer'} selected="selected" {/if} value="cHausnummer">{__('Hausnummer')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cStrasse_cHausnummer'} selected="selected" {/if} value="cStrasse_cHausnummer">{__('Straße / Hausnummer')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cPLZ'} selected="selected" {/if} value="cPLZ">{__('PLZ')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cOrt'} selected="selected" {/if} value="cOrt">{__('Ort')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cPLZ_cOrt'} selected="selected" {/if} value="cPLZ_cOrt">{__('PLZ / Ort')}</option>
                <option {if $pluginConfig->cTextfeld4Field == 'cLand'} selected="selected" {/if} value="cLand">{__('Land')}</option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, ob und wie dieses Feld eingebunden werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Zusätzliche Styles/ JavaScript')}</legend>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Textfarbe des Buttons')}</span>
            </div>
            <input type="text" name="ButtonTextColor" class="form-control colorcode" value="{$pluginConfig->ButtonTextColor}" placeholder="{__('Farbwert als Hexcode')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Optionaler Farbwert.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Hover Textfarbe des Buttons')}</span>
            </div>
            <input type="text" name="ButtonTextColorHover" class="form-control colorcode" value="{$pluginConfig->ButtonTextColorHover}" placeholder="{__('Farbwert als Hexcode')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Optionaler Farbwert.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Farbe des Buttons')}</span>
            </div>
            <input type="text" name="ButtonColor" class="form-control colorcode" value="{$pluginConfig->ButtonColor}" placeholder="{__('Farbwert als Hexcode')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Optionaler Farbwert.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Hover Farbe des Buttons')}</span>
            </div>
            <input type="text" name="ButtonColorHover" class="form-control  colorcode" value="{$pluginConfig->ButtonColorHover}" placeholder="{__('Farbwert als Hexcode')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Optionaler Farbwert.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Styles')}</span>
                </div>
                <textarea data-editor='css' style="min-height:400px" id="css" class="form-control" name="css">{$pluginConfig->css}</textarea>
                <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf eigene Styles anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                </div>
            </div>

            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('JavaScript')}</span>
                </div>
                <textarea data-editor='javascript' style="min-height:400px" id="javaScript" class="form-control" name="js">{$pluginConfig->js}</textarea>
                <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf zusätzliches JavaScript anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                </div>
            </div>


    </fieldset>

    <div class="save-wrapper">
        <div class="ml-auto col-sm-6 col-xl-auto">
            <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
                <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
            </button>
        </div>
    </div>
</form>

